/**
 * plank_drawing_color_to_gdk_color:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * 
 * Creates a new <link linkend="GdkColor"><type>GdkColor</type></link>.from this color
 * 
 * Returns: new <link linkend="GdkColor"><type>GdkColor</type></link> 
 */
/**
 * plank_drawing_color_to_gdk_rgba:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * 
 * Creates a new <link linkend="GdkRGBA"><type>GdkRGBA</type></link>.from this color
 * 
 * Returns: new <link linkend="GdkRGBA"><type>GdkRGBA</type></link> 
 */
/**
 * plank_drawing_color_equal:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @color: &nbsp;
 * 
 * Check equality with the give color
 * 
 * Returns: whether the give color equals this color. 
 */
/**
 * plank_drawing_color_set_hsv:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @h: &nbsp;
 * @s: &nbsp;
 * @v: &nbsp;
 * 
 * Set HSV color values of this color.
 */
/**
 * plank_drawing_color_set_hue:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @hue: (in): &nbsp;.  the new hue for the color 
 * 
 * Sets the hue for the color.
 */
/**
 * plank_drawing_color_set_sat:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @sat: (in): &nbsp;.  the new saturation for the color 
 * 
 * Sets the saturation for the color.
 */
/**
 * plank_drawing_color_set_val:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @val: (in): &nbsp;.  the new value for the color 
 * 
 * Sets the value for the color.
 */
/**
 * plank_drawing_color_set_alpha:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @alpha: (in): &nbsp;.  the new alpha for the color 
 * 
 * Sets the alpha for the color.
 */
/**
 * plank_drawing_color_get_hsv:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @h: &nbsp;
 * @s: &nbsp;
 * @v: &nbsp;
 * 
 * Get HSV color values of this color.
 */
/**
 * plank_drawing_color_get_hue:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * 
 * Returns the hue for the color.
 * 
 * Returns: the hue for the color 
 */
/**
 * plank_drawing_color_get_sat:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * 
 * Returns the saturation for the color.
 * 
 * Returns: the saturation for the color 
 */
/**
 * plank_drawing_color_get_val:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * 
 * Returns the value for the color.
 * 
 * Returns: the value for the color 
 */
/**
 * plank_drawing_color_add_hue:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @val: (in): &nbsp;.  the amount to add to the hue 
 * 
 * Increases the color&apos;s hue.
 */
/**
 * plank_drawing_color_set_min_sat:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @sat: (in): &nbsp;.  the minimum saturation allowed 
 * 
 * Limits the color&apos;s saturation.
 */
/**
 * plank_drawing_color_set_min_value:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @val: (in): &nbsp;.  the minimum value allowed 
 * 
 * Limits the color&apos;s value.
 */
/**
 * plank_drawing_color_set_max_sat:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @sat: (in): &nbsp;.  the maximum saturation allowed 
 * 
 * Limits the color&apos;s saturation.
 */
/**
 * plank_drawing_color_set_max_val:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @val: (in): &nbsp;.  the maximum value allowed 
 * 
 * Limits the color&apos;s value.
 */
/**
 * plank_drawing_color_multiply_sat:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @amount: (in): &nbsp;.  amount to multiply the saturation by 
 * 
 * Multiplies the color&apos;s saturation using the amount.
 */
/**
 * plank_drawing_color_brighten_val:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @amount: (in): &nbsp;.  percent of the value to brighten by 
 * 
 * Brighten the color&apos;s value using the value.
 */
/**
 * plank_drawing_color_darken_val:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @amount: (in): &nbsp;.  percent of the value to darken by 
 * 
 * Darkens the color&apos;s value using the value.
 */
/**
 * plank_drawing_color_darken_by_sat:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * @amount: (in): &nbsp;.  percent of the saturation to darken by 
 * 
 * Darkens the color&apos;s value using the saturtion.
 */
/**
 * plank_drawing_color_to_string:
 * @self: the <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> instance
 * 
 * Convert color to string formatted like &quot;%d;;%d;;%d;;%d&quot; with numeric entries ranged in 0..255
 * 
 * Returns: the string representation of this color 
 */
/**
 * plank_drawing_color_from_gdk_color:
 * @color: (in): &nbsp;.  the color to use 
 * 
 * Creates a new color from a <link linkend="GdkColor"><type>GdkColor</type></link>.
 * 
 * Returns: new <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> based on the given one 
 */
/**
 * plank_drawing_color_from_gdk_rgba:
 * @color: (in): &nbsp;.  the color to use 
 * 
 * Creates a new color from a <link linkend="GdkRGBA"><type>GdkRGBA</type></link>.
 * 
 * Returns: new <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> based on the given one 
 */
/**
 * plank_drawing_color_from_string:
 * @s: &nbsp;
 * 
 * Create new color converted from string formatted like &quot;%d;;%d;;%d;;%d&quot; with numeric entries ranged in 0..255
 * 
 * Returns: new <link linkend="PlankDrawingColor"><type>PlankDrawingColor</type></link> based on the given string 
 */
/**
 * PlankDrawingColor:
 * @R: The red value for the color.
 * @G: The green value for the color.
 * @B: The blue value for the color.
 * @A: The alpha value for the color.
 * 
 * Represents a RGBA color and has methods for manipulating the color.
 */
/**
 * plank_drawing_color_dup:
 * @self: the instance to duplicate
 * 
 * Creates a copy of self.
 * 
 * <emphasis>See also</emphasis>: plank_drawing_color_copy(), plank_drawing_color_destroy(), plank_drawing_color_free()
 * 
 * Returns: a copy of @self, free with plank_drawing_color_free()
 */
/**
 * plank_drawing_color_free:
 * @self: the struct to free
 * 
 * Frees the heap-allocated struct.
 * 
 * <emphasis>See also</emphasis>: plank_drawing_color_dup(), plank_drawing_color_copy(), plank_drawing_color_destroy()
 */
/**
 * plank_drawing_color_copy:
 * @self: the struct to copy
 * @dest: a unused struct. Use plank_drawing_color_destroy() to free the content.
 * 
 * Creates a copy of self.
 * 
 * <emphasis>See also</emphasis>: plank_drawing_color_dup(), plank_drawing_color_destroy(), plank_drawing_color_free()
 */
/**
 * plank_drawing_color_destroy:
 * @self: the struct to destroy
 * 
 * Frees the content of the struct pointed by @self.
 * 
 * <emphasis>See also</emphasis>: plank_drawing_color_dup(), plank_drawing_color_copy(), plank_drawing_color_free()
 */
